<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Validating Vulnerabilities">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Tracking Real-Time Statistics and Events for Vulnerability Validation</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#20-vuln-validation/tracking-vv-stats.html">Open topic with navigation</a>
        </p>
        <h1>Tracking Real-Time Statistics and Events for Vulnerability Validation</h1>
        <p>The Findings window displays the real-time statistics for the test and the task log. You can click on the tabs at the top of the Findings window to switch between the real-time statistics and the task log. </p>
        <p>From the Findings window, you can also automatically push validated vulnerabilities and access the Vulnerabilities Exceptions configuration page. </p>
        <h2>Accessing the Findings Window</h2>
        <p>The Findings window automatically appears when you start the Vulnerability Validation Wizard. If you navigate away from the Findings window, you can go to the Tasks page to access it again. </p>
        <p class="leadin">To access the Findings Window:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Tasks &gt; Show Tasks</b> from the Project Tab bar. The Tasks page appears. <br /><br /><img src="../Resources/Images/vuln-validation/vv-tasks-menu_596x106.png" style="width: 596;height: 106;" /><br /></li>
            <li value="2">Find the Vulnerability Validation task.<br /><br /><img src="../Resources/Images/vuln-validation/vv-tasks-page-1_594x157.png" style="width: 594;height: 157;" /></li>
            <li value="3">Click the <b class="UISelection">Vulnerability Validation</b> task name. The Findings window appears.<br /><br /><img src="../Resources/Images/vuln-validation/vv-tasks-page-2_597x158.png" style="width: 597;height: 158;" /></li>
        </ol>
        <h2>The Statistics Tab</h2>
        <p>The Statistics tab shows a high-level, count of hosts, vulnerabilities, and exploits. Each value is displayed in a stat bubble with an orange progress bar. The progress bar wraps around the stat bubble and only displays when there is activity occurring for a particular finding.<br /><br /><img src="../Resources/Images/vuln-validation/vv-stats-tab_546x325.png" style="width: 546;height: 325;" /></p>
        <p>From the Statistics tab, you can track the following data:</p>
        <ul>
            <li value="1">The total number of hosts that have been scanned or imported.</li>
            <li value="2">The total number of unique vulnerabilities that have been identified.</li>
            <li value="3">The total number of exploit modules that match Nexpose vulnerabilities. </li>
            <li value="4">The total number of vulnerabilities that <span class="VariablesProductName">Metasploit Pro</span> was able to exploit.</li>
            <li value="5">The total number of vulnerabilities that <span class="VariablesProductName">Metasploit Pro</span> was unable to exploit.</li>
        </ul>
        <h3>Viewing a List of Imported Hosts from the Findings Window</h3>
        <ol>
            <li value="1">Open the Findings window. </li>
            <li value="2">Click on the <b class="UISelection">Hosts Imported</b> tab. The Hosts list appears and displays the IP addresses for each host that has been imported from a Nexpose site. <br /><br /><img src="../Resources/Images/vuln-validation/vv-imported-hosts-tab_510x299.png" style="width: 510;height: 299;" /></li>
            <li value="3">Use the navigational page buttons to view more hosts or click the <b class="UISelection">Show Entries</b> dropdown to expand the number of hosts displayed. <br /><br /><img src="../Resources/Images/vuln-validation/vv-hosts-list-navigation_522x306.png" style="width: 522;height: 306;" /></li>
        </ol>
        <h3>Viewing a List of Imported Vulnerabilities from the Findings Window</h3>
        <ol>
            <li value="1">Open the Findings Window. </li>
            <li value="2">Click the <b class="UISelection">Vulns Found</b> tab. A list of imported vulnerabilities appears. <br /><br /><img src="../Resources/Images/vuln-validation/vv-vulns-found-tab_536x315.png" style="width: 536;height: 315;" /></li>
            <li value="3">Use the navigational page buttons to view more hosts or click the <b class="UISelection">Show Entries</b> dropdown to expand the number of vulnerabilities displayed. <br /><br /><img src="../Resources/Images/vuln-validation/vv-vulns-found-navigation_540x317.png" style="width: 540;height: 317;" /></li>
        </ol>
        <h3>Viewing a List of Exploit Matches from the Findings Window</h3>
        <ol>
            <li value="1">Open the Findings Window. </li>
            <li value="2">Click the <b class="UISelection">Exploit Matches</b> tab. A list of imported vulnerabilities appears. <br /><br /><img src="../Resources/Images/vuln-validation/vv-exploit-matches-tab_534x246.png" style="width: 534;height: 246;" /></li>
            <li value="3">Use the navigational page buttons to view more hosts or click the <b class="UISelection">Show Entries</b> dropdown to expand the number of exploit modules displayed. </li>
        </ol>
        <h3>Viewing a List of Validated Vulnerabilities from the&#160;Findings Window</h3>
        <ol start="1">
            <li value="1">Open the Findings Window. </li>
            <li value="2">Click the <b class="UISelection">Vulns validations</b> tab. A list of imported vulnerabilities appears. <br /><br /><img src="../Resources/Images/vuln-validation/vv-validated-vulns-tab_539x210.png" style="width: 539;height: 210;" /><br /><br />You can view the vulnerability name, the exploit module that was run against the vulnerability, and the result of the exploit. For vulnerability validations, the state will be <code>exploited</code>. </li>
            <li value="3">Use the navigational page buttons to view more hosts or click the <b class="UISelection">Show Entries</b> dropdown to expand the number of validations displayed. </li>
        </ol>
        <h3>Viewing a List of Vulnerability Exceptions from the Findings Window</h3>
        <ol>
            <li value="1">Open the Findings Window. </li>
            <li value="2">Click the <b class="UISelection">Vulns exceptions</b> tab. A list of vulnerability exceptions appears.<br /><br /><img src="../Resources/Images/vuln-validation/vv-vuln-exceptions-tab_569x235.png" style="width: 569;height: 235;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li class="indentedListNextLine" value="3" data-mc-autonum=""><span class="autonumber"><span></span></span>You can view the vulnerability name, the exploit module that was run against the vulnerability, and the result of the exploit. For vulnerability exceptions, the state will be <code>failed</code>. </li>
        </ol>
        <ol start="3">
            <li value="3">Use the navigational page buttons to view more hosts or click the <b class="UISelection">Show Entries</b> dropdown to expand the number of exceptions displayed. </li>
        </ol>
        <h2>The Tasks Log Tab</h2>
        <p>The Tasks Log tab shows a detailed activity log for the Vulnerability Validation Wizard. Each task that <span class="VariablesProductName">Metasploit Pro</span> performs is documented in the Tasks Log. For example, you can view the assets and vulnerability definitions as they are being imported into a project or you can view the exploit modules as they are being run. If you have chosen to perform a dry run of the auto-exploitation task, you can go to the Tasks Log to view the proposed attack plan. </p>
        <p>Additionally, the Tasks log shows you the current state of the test, the start time of the test, and the amount of time that the test has been running. </p>
        <p><![CDATA[ ]]><img src="../Resources/Images/vuln-validation/vv-tasks-log_572x279.png" style="width: 572;height: 279;" /></p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Getting Started with Vulnerability Validation |getting-started-vv.html||Nexpose Exceptions|creating-and-pushing-nexpose-exceptions.html||Validated Vulnerabilities|pushing-validated-vulns.html||Validating Nexpose Vulnerabilities |importing-exploiting-vulns.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>